about summary refs log tree commit diff stats
path: root/core/conf
diff options
context:
space:
mode:
Diffstat (limited to 'core/conf')
-rw-r--r--core/conf/pkgmk.conf2
-rw-r--r--core/conf/pkgmk.conf.harden2
-rw-r--r--core/conf/ports/c9-ports.git7
-rw-r--r--core/conf/ports/c9-ports.httpup7
-rw-r--r--core/conf/ports/contrib.git4
-rw-r--r--core/conf/ports/core.git4
-rwxr-xr-xcore/conf/ports/drivers/git47
-rwxr-xr-xcore/conf/ports/drivers/httpup27
-rwxr-xr-xcore/conf/ports/drivers/rsync143
-rw-r--r--core/conf/ports/mate.httpup5
-rw-r--r--core/conf/ports/opt.git5
-rw-r--r--core/conf/ports/ports.git7
-rw-r--r--core/conf/ports/xorg.git7
13 files changed, 25 insertions, 242 deletions
diff --git a/core/conf/pkgmk.conf b/core/conf/pkgmk.conf
index 94bc9df..e72a433 100644
--- a/core/conf/pkgmk.conf
+++ b/core/conf/pkgmk.conf
@@ -22,7 +22,7 @@ case ${PKGMK_ARCH} in
 		;;
 esac
 
-#PKGMK_SOURCE_MIRRORS=(http://c9.root.sx/ports/distfiles/)
+#PKGMK_SOURCE_MIRRORS=(http://hive.gnu.systems/ports/distfiles/)
 # PKGMK_SOURCE_DIR="$PWD"
 PKGMK_SOURCE_DIR="/usr/ports/distfiles"
 # PKGMK_PACKAGE_DIR="$PWD"
diff --git a/core/conf/pkgmk.conf.harden b/core/conf/pkgmk.conf.harden
index ad95d65..f72dc53 100644
--- a/core/conf/pkgmk.conf.harden
+++ b/core/conf/pkgmk.conf.harden
@@ -78,7 +78,7 @@ esac
 
 #PKGMK_SOURCE_MIRRORS=(https://crux.nu/distfiles/)
 #PKGMK_SOURCE_MIRRORS=(https://crux.ster.zone/distfiles/)
-PKGMK_SOURCE_MIRRORS=(https://c9.root.sx/ports/distfiles/)
+PKGMK_SOURCE_MIRRORS=(https://hive.gnu.systems/ports/distfiles/)
 PKGMK_SOURCE_DIR="/srv/ports/distfiles"
 PKGMK_PACKAGE_DIR="/srv/ports/packages"
 PKGMK_WORK_DIR="/srv/ports/work/$name"
diff --git a/core/conf/ports/c9-ports.git b/core/conf/ports/c9-ports.git
deleted file mode 100644
index 392f77f..0000000
--- a/core/conf/ports/c9-ports.git
+++ /dev/null
@@ -1,7 +0,0 @@
-# Collection core
-#
-NAME=c9-ports
-URL=git://c9.root.sx/c9-ports.git
-BRANCH=develop
-destination=/usr/ports/c9-ports
-PORTS_DIR="/usr/ports"
diff --git a/core/conf/ports/c9-ports.httpup b/core/conf/ports/c9-ports.httpup
deleted file mode 100644
index 3a275e5..0000000
--- a/core/conf/ports/c9-ports.httpup
+++ /dev/null
@@ -1,7 +0,0 @@
-#
-# /etc/ports/c9-ports.httpup: c9-ports port collection
-#
-
-ROOT_DIR=/usr/ports/c9-ports
-URL=https://github.com/s1lvino/c9-ports/raw/master/
-# End of file
diff --git a/core/conf/ports/contrib.git b/core/conf/ports/contrib.git
index d9c0a7d..2516a71 100644
--- a/core/conf/ports/contrib.git
+++ b/core/conf/ports/contrib.git
@@ -1,7 +1,7 @@
 # Collection core
 #
 NAME=contrib
-URL=git://c9.root.sx/c9-contrib.git
-BRANCH=develop
+URL=git://c2.ank/contrib.git
+BRANCH=develop-c34
 destination=/usr/ports/contrib
 PORTS_DIR="/usr/ports"
diff --git a/core/conf/ports/core.git b/core/conf/ports/core.git
index 3e23528..50ac623 100644
--- a/core/conf/ports/core.git
+++ b/core/conf/ports/core.git
@@ -1,7 +1,7 @@
 # Collection core
 #
 NAME=core
-URL=git://c9.root.sx/c9-core.git
-BRANCH=develop
+URL=git://c2.ank/core.git
+BRANCH=develop-c34
 destination=/usr/ports/core
 PORTS_DIR="/usr/ports"
diff --git a/core/conf/ports/drivers/git b/core/conf/ports/drivers/git
deleted file mode 100755
index 654a8c7..0000000
--- a/core/conf/ports/drivers/git
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/sh
-#
-# /etc/ports/drivers/git: git driver script for ports(8)
-#
-
-if [ $# -ne 1 ]; then
-	echo "usage: $0 <file>" >&2
-	exit 1
-fi
-
-. $1
-
-if [ -z "$URL" ]; then
-	echo "URL not set in '$1'" >&2
-	exit 2
-fi
-if [ -z "$NAME" ]; then
-	echo "NAME not set in '$1'" >&2
-	exit 2
-fi
-if [ -z "$BRANCH" ]; then
-	echo "BRANCH not set in '$1'" >&2
-	exit 2
-fi
-
-REPOSITORY="$PORTS_DIR/$NAME"
-if [ -n "$LOCAL_REPOSITORY" ]; then
-	REPOSITORY="$LOCAL_REPOSITORY"
-fi
-
-echo "Fetching updates from $URL"
-echo "Updating collection $NAME"
-
-cd "$REPOSITORY" 2> "/dev/null"
-
-if [ $? -lt 1 ]; then
-	git checkout -q "$BRANCH"
-	git fetch -q
-	git diff --pretty=format: --name-status "$BRANCH" origin/"$BRANCH" | sed "s/M\t/ Edit /g; s/A\t/ Checkout /g; s/D\t/ Delete /g" | sort
-	git clean -q -f
-	git reset -q --hard origin/"$BRANCH"
-else
-	git clone -q -b "$BRANCH" "$URL" "$REPOSITORY"
-	ls -1 $REPOSITORY | sed "s/^/ Checkout /"
-fi
-
-echo "Finished successfully"
diff --git a/core/conf/ports/drivers/httpup b/core/conf/ports/drivers/httpup
deleted file mode 100755
index 5c8db84..0000000
--- a/core/conf/ports/drivers/httpup
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/bin/sh
-#
-# /etc/ports/drivers/httpup: httpup driver script for ports(8)
-# 
-
-if [ $# -ne 1 ]; then
-        echo "usage: $0 <file>" >&2
-        exit 1
-fi
-
-. $1
-
-if [ -z "$ROOT_DIR" ]; then
-	echo "ROOT_DIR not set in '$1'" >&2
-	exit 2
-fi
-if [ -z "$URL" ]; then
-	echo "URL not set in '$1'" >&2
-	exit 2
-fi
-
-for REPO in $URL; do
-    PORT=`echo $REPO | sed -n '/#.*$/s|^.*#||p'`
-    httpup sync $REPO $ROOT_DIR/$PORT
-done
-
-# End of file.
diff --git a/core/conf/ports/drivers/rsync b/core/conf/ports/drivers/rsync
deleted file mode 100755
index 14dd3e5..0000000
--- a/core/conf/ports/drivers/rsync
+++ /dev/null
@@ -1,143 +0,0 @@
-#!/usr/bin/perl
-#
-# /etc/ports/drivers/rsync: rsync(1) driver script for ports(8)
-#
-
-use warnings;
-use strict;
-use File::Basename;
-
-my $host = '';
-my $collection = '';
-my $destination = '';
-my %new_checkouts;
-my %old_checkouts;
-
-sub error
-{
-	my $message = shift;
-	print "Error: $message ($!)\nUpdating failed\n";
-	exit 1;
-}
-
-sub warning
-{
-	my $message = shift;
-	print "Warning: $message ($!)\n";
-}
-
-if ($#ARGV < 0)
-{
-	print "Usage: $0 <file>\n";
-	exit 1;
-}
-
-open(FILE, $ARGV[0]) or error("Couldn't open $ARGV[0]");
-while (<FILE>)
-{
-	chomp;
-	if    (/^host=(.*)/)        { $host = $1; }
-	elsif (/^collection=(.*)/)  { $collection = $1; }
-	elsif (/^destination=(.*)/) { $destination = $1; }
-}
-close(FILE);
-
-if ($host eq '')        { error("Host field not set in $ARGV[0]");        }
-if ($collection eq '')  { error("Collection field not set in $ARGV[0]");  }
-if ($destination eq '') { error("Destination field not set in $ARGV[0]"); }
-
-if (-e "$destination/.checkouts")
-{
-	# read the old .checkouts file into memory
-	open(FILE, "$destination/.checkouts") or error("Couldn't read checkouts from $destination/.checkouts");
-	while (<FILE>)
-	{
-		chomp;
-		$old_checkouts{$_} = 1;
-	}
-	close(FILE);
-}
-
-print "Updating file list from " . $host . "::$collection\n";
-
-# get the remote file list (new .checkouts)
-open(PIPE, 'rsync -crz --no-human-readable ' . $host . '::' . $collection . '|') or error("Couldn't open pipe to rsync");
-while (<PIPE>)
-{
-	chomp;
-
-	next if /^MOTD:/;	# ignore MOTD lines
-	s/^(.{43})//;		# ignore the first 43 characters (mode, date etc...)
-	next if /^.$/;		# ignore the . directory
-
-	$new_checkouts{$_} = 1;
-}
-close(PIPE);
-error("Running rsync failed") unless $? == 0;
-
-print "Updating collection " . basename($destination) . "\n";
-
-# now really run rsync
-open(PIPE, 'rsync -crz --no-human-readable --log-format "%o %n" ' . $host . "::$collection $destination|") or error("Couldn't open pipe to rsync");
-while (<PIPE>)
-{
-	chomp;
-
-	if (/^recv (.*)/)
-	{
-		if ($old_checkouts{$1})
-		{
-			s/^recv/ Edit/;
-		}
-		else
-		{
-			s/^recv/ Checkout/;
-		}
-	}
-
-	print $_ . "\n";
-}
-close(PIPE);
-error("Running rsync failed") unless $? == 0;
-
-# save new checkouts into .checkouts
-open(FILE, ">$destination/.checkouts") or error("Couldn't save checkouts to $destination/.checkouts");
-foreach my $checkout (sort keys %new_checkouts)
-{
-	print FILE "$checkout\n";
-}
-close(FILE);
-
-# use chroot as an additional safety measure when removing files
-chroot($destination) or error("Couldn't chroot into $destination");
-chdir('/');
-
-# iterate through old checkouts, remove obsolete files
-foreach my $checkout (sort keys %old_checkouts)
-{
-	if (!$new_checkouts{$checkout})
-	{
-		if (-f $checkout)
-		{
-			print " Delete $checkout\n";
-			unlink($checkout) or warning("Couldn't delete $checkout");
-		}
-	}
-}
-
-# iterate through old checkouts, remove obsolete directories
-foreach my $checkout (sort keys %old_checkouts)
-{
-	if (!$new_checkouts{$checkout})
-	{
-		if (-d $checkout)
-		{
-			print " Delete $checkout\n";
-			rmdir($checkout) or warning("Couldn't delete $checkout");
-		}
-	}
-}
-
-print "Finished successfully\n";
-
-# End of file
diff --git a/core/conf/ports/mate.httpup b/core/conf/ports/mate.httpup
new file mode 100644
index 0000000..93ad84f
--- /dev/null
+++ b/core/conf/ports/mate.httpup
@@ -0,0 +1,5 @@
+# Collection mate, by jaeger at crux dot ninja
+# File generated by the CRUX portdb https://crux.nu/portdb/
+
+ROOT_DIR=/usr/ports/mate
+URL=https://raw.githubusercontent.com/mhoush/crux-mate/master/
diff --git a/core/conf/ports/opt.git b/core/conf/ports/opt.git
index bedc00c..77ba4cd 100644
--- a/core/conf/ports/opt.git
+++ b/core/conf/ports/opt.git
@@ -1,6 +1,7 @@
 # Collection core
 #
 NAME=opt
-URL=git://c9.root.sx/c9-opt.git
-BRANCH=develop
+URL=git://c2.ank/opt.git
+BRANCH=develop-c34
 destination=/usr/ports/opt
+PORTS_DIR="/usr/ports"
diff --git a/core/conf/ports/ports.git b/core/conf/ports/ports.git
new file mode 100644
index 0000000..23d9586
--- /dev/null
+++ b/core/conf/ports/ports.git
@@ -0,0 +1,7 @@
+# Collection Ports Driver
+#
+NAME=ports
+URL=git://c2.ank/ports.git
+BRANCH=develop
+destination=/usr/ports/ports
+PORTS_DIR="/usr/ports"
diff --git a/core/conf/ports/xorg.git b/core/conf/ports/xorg.git
index 5123db5..70ce45b 100644
--- a/core/conf/ports/xorg.git
+++ b/core/conf/ports/xorg.git
@@ -1,6 +1,7 @@
 # Collection core
 #
 NAME=xorg
-URL=git://c9.root.sx/c9-xorg.git
-BRANCH=develop
-destination=/usr/ports/xorg
+URL=git://c2.ank/xorg.git
+BRANCH=develop-c34
+destination=/srv/ports/xorg
+PORTS_DIR="/usr/ports"